eSign XML Response
This API is for generating esign link based on xml. If the request has valid details, we will get a status code “200” and message “success”, txn id and unique id in response.
https://kraken.airpay.co.in/airpay/ms/esign/api/generate-response-xmlHeader
Section titled “Header”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| affiliate required | Text | Will be provided by airpay | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| checksum required | Text | string = param + secret_key; sha256(<concate all values+SECRET KEY>); | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
| processor-key required | Text | Will be provided by airpay | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
Request Body
Section titled “Request Body”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| xml_data required | Text | XML data | <?xml version="1.0" encoding="UTF-8" standalone="no"?> |
Success 200
Section titled “Success 200”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| status required | Numeric | Status code (length 1-3) | 200 |
| message required | Text | Message Success - 200 Failed - 400 | success |
| txn_id required | Numeric | Transaction ID | 1078 |
| uniqueid required | Text | Unique ID | 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps |
Request Example
Section titled “Request Example”curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/esign/api/generate-response-xml' \--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--form 'xml_data="<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" standalone=\\\"no\\\"?><Esign AuthMode=\"1\" aspId=\"ABCAPSPLPROD001071\" ekycId=\"\" ekycIdType=\"A\" responseSigType=\"pkcs7\" responseUrl=\"https://esign.airpay.co.in/api/SignResponse\" sc=\"Y\" ts=\"2022-07-28T10:37:11\" txn=\"OCN13SCZJ3\" ver=\"2.1\">...</Esign>"'Success Response
Section titled “Success Response”HTTP/1.1 200 OK{ "status": 200, "message": "success", "txn_id": 1078, "uniqueid":"91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"}Error Response
Section titled “Error Response”HTTP/1.1 400 Failed { "status": 400, "message": "Transaction not found" }